#include <iostream>
using namespace std;

int main() {
	cin.tie(NULL);
	ios::sync_with_stdio(false);
	int a, b;
	char c, d;
	cin >> c >> d >> a >> b;
	if(a < b){
		swap(a, b);
		swap(c, d);
	}
	if(a - b > 1) cout << "nemoguce";
	else{
		for(int i = 0; i < b; i++){
			cout << c << d;
		}
		if(a > b) cout << c;
	}
	return 0;
}